Skip to navigation

🧪 List Places with Stop Counts

Retrieve known places visited by vehicles in your accessible fleets, with the total stop count and distinct vehicle count at each location. Only stops matched to a known place are included. Results are ordered by stop count descending (most-visited first). Optionally filter to specific vehicles, a time window, place category, or stop duration.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

fleet_idslist of strings or nullOptional

Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

fleet_refslist of strings or nullOptional

Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

connection_idstring or nullOptionalformat: "uuid"
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
vehicle_idslist of strings or nullOptional

Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).

active_from_datetimedatetime or nullOptional

Return only records that were still active at or after this date and time. Format: ISO 8601 (UTC) Applies filter: ended_at >= active_from_datetime

active_to_datetimedatetime or nullOptional

Return only records that started before this date and time. Format: ISO 8601 (UTC) Applies filter: started_at < active_to_datetime

place_categorieslist of strings or nullOptional

Limit results to places with one of the specified categories. To specify multiple values, repeat the parameter (e.g. ?place_categories=FUEL&place_categories=REST).

min_stop_duration_secondsinteger or nullOptional>=0

Only count stops whose duration is at least this many seconds. Long stops (no confirmed end) always pass this filter.

max_stop_duration_secondsinteger or nullOptional>=0

Only count stops whose duration is at most this many seconds. Long stops (no confirmed end) are excluded when this filter is active.

cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
totalinteger>=0
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error